Gentoo Archives: gentoo-commits

From: Georgy Yakovlev <gyakovlev@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-process/glances/
Date: Thu, 26 Mar 2020 22:06:29
Message-Id: 1585260349.2ea3d3b44578c0de662f962cafe2bfadd118a760.gyakovlev@gentoo
commit:     2ea3d3b44578c0de662f962cafe2bfadd118a760
Author:     Georgy Yakovlev <gyakovlev <AT> gentoo <DOT> org>
AuthorDate: Thu Mar 26 22:05:30 2020 +0000
Commit:     Georgy Yakovlev <gyakovlev <AT> gentoo <DOT> org>
CommitDate: Thu Mar 26 22:05:49 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2ea3d3b4

sys-process/glances: bump to 3.1.4.1

Package-Manager: Portage-2.3.96, Repoman-2.3.22
Signed-off-by: Georgy Yakovlev <gyakovlev <AT> gentoo.org>

 sys-process/glances/Manifest               |  1 +
 sys-process/glances/glances-3.1.4.1.ebuild | 85 ++++++++++++++++++++++++++++++
 2 files changed, 86 insertions(+)

diff --git a/sys-process/glances/Manifest b/sys-process/glances/Manifest
index 37e30b9d8a2..f784c481896 100644
--- a/sys-process/glances/Manifest
+++ b/sys-process/glances/Manifest
@@ -3,3 +3,4 @@ DIST glances-3.1.0.tar.gz 6688798 BLAKE2B 9ae2e6a4944d1af871b88ea325bc23cad24f11
 DIST glances-3.1.1.tar.gz 6737781 BLAKE2B ffd20d6ee994428dccb9b4aea481c9c3f618f0f7895098ff9be3cda206c1dc82b924eef002d13d9a93b53c28ba4faa8d88cfdb5f0691097cf31d89b7e3237d50 SHA512 d42ced74c9dc5150ff7242b61aaba94fd6009e150f637cadd4b6c9a7fc7b8028ea2e8835ae0ecf66bd12321cbc3f68e75cd526c97f5aecad6cf6df578e1b222f
 DIST glances-3.1.2.tar.gz 6740649 BLAKE2B 109ce18d045aafd921ccfff64aaab12a8106fbf44bb8a1ca352d544244d5fcf911f85158964c84142e279112e8add3f7bbcc1eff22fb5b3e05b40c94d13e960e SHA512 f9b839532d2b53edb9dfeac9abe8f5a9e314b7bdf34e54083614c02262bb15f0db745762f06b609071d2a6fead8b52eed16b6f5a569904ef56dafb41b85b991b
 DIST glances-3.1.3.tar.gz 6759527 BLAKE2B 6f164dde0c67d58d32495b7b9b331255b3c599784518c92e3a2a456a1de9ddece8342e846923a7d6d3b6965ce5dd283f3f8eae5351bdfd8b1eda1b7969609c6e SHA512 7fcbfff9e94721de2dba5ce2e7a2899fab877283819dedd8e1d8c868f4fd6cb584887979379f7b7a50c0f3b2fec1e147db06afff267a8e8fa40ba189246beb79
+DIST glances-3.1.4.1.tar.gz 6802041 BLAKE2B 7e27811e4721f9089e88bb2375f5b58104bdcb9a890bff4cb207800f49eaf320fa1bd777a2de1a7ce50744df2b4b79973823f9aee52a291e1af6788c95c359b0 SHA512 8e15149bde87d14d8176fe247e911a04b24900a95917e5711dfc8764ecec3238f696eea08c36bc59f68a4702e028909150e3318907f11fc53c5cc56441870ff3

diff --git a/sys-process/glances/glances-3.1.4.1.ebuild b/sys-process/glances/glances-3.1.4.1.ebuild
new file mode 100644
index 00000000000..1c5db5097fc
--- /dev/null
+++ b/sys-process/glances/glances-3.1.4.1.ebuild
@@ -0,0 +1,85 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8} )
+PYTHON_REQ_USE="ncurses"
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1 eutils linux-info
+
+DESCRIPTION="CLI curses based monitoring tool"
+HOMEPAGE="https://github.com/nicolargo/glances"
+SRC_URI="https://github.com/nicolargo/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="LGPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+IUSE=""
+
+RDEPEND="dev-python/future[${PYTHON_USEDEP}]
+	>=dev-python/psutil-5.4.3[${PYTHON_USEDEP}]"
+
+CONFIG_CHECK="~TASK_IO_ACCOUNTING ~TASK_DELAY_ACCT ~TASKSTATS"
+
+PATCHES=(
+	"${FILESDIR}/disable-update-check.patch"
+)
+
+distutils_enable_tests setup.py
+distutils_enable_sphinx docs --no-autodoc
+
+pkg_setup() {
+	echo $DISTUTILS_USE_SETUPTOOLS
+	linux-info_pkg_setup
+}
+
+python_prepare_all() {
+	# Remove duplicate entries of a prebuilt doc build and
+	# ensure install of the file glances.conf in /etc/${PN}
+	sed \
+		-e '/share\/doc\/glances/d' \
+		-e "s/'CONTRIBUTING.md',//" \
+		-e "s:'conf/glances.conf':('${EPREFIX}/etc/glances', ['conf/glances.conf':g" \
+		-i setup.py || die
+
+	distutils-r1_python_prepare_all
+}
+
+python_install_all() {
+	# add an intended file from original data set from setup.py to DOCS
+	local DOCS=( README.rst CONTRIBUTING.md conf/glances.conf )
+	distutils-r1_python_install_all
+}
+
+pkg_postinst() {
+	optfeature "Action script feature" dev-python/pystache
+	optfeature "Autodiscover mode" dev-python/zeroconf
+	optfeature "Cloud support" dev-python/requests
+	optfeature "Quicklook CPU info" dev-python/py-cpuinfo
+	optfeature "Docker monitoring support" dev-python/docker-py
+	#optfeature "Export module" \
+	#	unpackaged/bernhard \
+	#	unpackaged/cassandra-driver \
+	#	unpackaged/potsdb \
+	#	dev-python/couchdb-python \
+	#	dev-python/elasticsearch-py \
+	#	dev-python/influxdb \
+	#	dev-python/kafka-python \
+	#	dev-python/pika \
+	#	dev-python/paho-mqtt \
+	#	dev-python/prometheus_client \
+	#	dev-python/pyzmq \
+	#	dev-python/statsd
+	#optfeature "Nvidia GPU monitoring" unpackaged/nvidia-ml-py3
+	optfeature "SVG graph support" dev-python/pygal
+	optfeature "IP plugin" dev-python/netifaces
+	optfeature "RAID monitoring" dev-python/pymdstat
+	#optfeature "SMART support" unpackaged/pySMART.smartx
+	optfeature "RAID support" dev-python/pymdstat
+	optfeature "SNMP support" dev-python/pysnmp
+	#optfeature "sparklines plugin" unpackaged/sparklines
+	optfeature "Web server mode" dev-python/bottle dev-python/requests
+	optfeature "WIFI plugin" net-wireless/python-wifi
+}